Permalink
Browse files

Merge pull request #767 from publify/update-gems

Update dependencies
  • Loading branch information...
2 parents 110975d + c6d4837 commit c90063aca17030743256877356df444954819faf @mvz mvz committed on GitHub Feb 26, 2017
Showing with 23 additions and 12 deletions.
  1. +9 −0 .rubocop.yml
  2. +8 −8 .rubocop_todo.yml
  3. +6 −4 Gemfile
View
@@ -21,6 +21,15 @@ Bundler/DuplicatedGem:
Lint/AssignmentInCondition:
AllowSafeAssignment: true
+# Blocks in specs can have any length
+Metrics/BlockLength:
+ Exclude:
+ - 'spec/**/*'
+
+# Do not require long paths to be split by comma's.
+Rails/FilePath:
+ Enabled: false
+
# Documenting all classes is not common in Rails projects.
Style/Documentation:
Enabled: false
View
@@ -1,16 +1,11 @@
# This configuration was generated by
# `rubocop --auto-gen-config`
-# on 2016-07-16 12:15:49 +0200 using RuboCop version 0.41.2.
+# on 2017-02-12 12:17:56 +0100 using RuboCop version 0.47.1.
# The point is for the user to remove these configuration records
# one by one as the offenses are removed from the code base.
# Note that changes in the inspected code, or installation of new
# versions of RuboCop, may require this file to be generated again.
-# Offense count: 1
-Lint/Eval:
- Exclude:
- - 'Gemfile'
-
# Offense count: 2
Metrics/AbcSize:
Max: 61
@@ -19,8 +14,8 @@ Metrics/AbcSize:
Metrics/CyclomaticComplexity:
Max: 14
-# Offense count: 97
-# Configuration parameters: AllowHeredoc, AllowURI, URISchemes.
+# Offense count: 95
+# Configuration parameters: AllowHeredoc, AllowURI, URISchemes, IgnoreCopDirectives, IgnoredPatterns.
# URISchemes: http, https
Metrics/LineLength:
Max: 274
@@ -42,6 +37,11 @@ Rails/TimeZone:
- 'spec/factories.rb'
# Offense count: 1
+Security/Eval:
+ Exclude:
+ - 'Gemfile'
+
+# Offense count: 1
Style/ClassVars:
Exclude:
- 'spec/support/mocks/http_mock.rb'
View
@@ -20,7 +20,7 @@ else
end
end
- conf = YAML.load(File.read(dbfile))
+ conf = YAML.load_file(dbfile)
environment = conf[env]
adapter = environment['adapter'] if environment
raise 'You need define an adapter in your database.yml or set your RAILS_ENV variable' if adapter == '' || adapter.nil?
@@ -56,7 +56,9 @@ gem 'non-stupid-digest-assets', '~> 1.0'
gem 'rake', '~> 12.0'
# On Ruby 2.4.0, xmlrpc needs to be included as a gem
-gem 'xmlrpc', '~> 0.2.1', platform: :mri_24
+gem 'xmlrpc', '~> 0.3.0', platform: :mri_24
+# Avoid loading multiple copies of openssl on Ruby 2.4.0
+gem 'openssl', '~> 2.0.3', platform: :mri_24
group :development, :test do
# Call 'byebug' anywhere in the code to stop execution and get a debugger console
@@ -68,8 +70,8 @@ group :development, :test do
gem 'pry', '~> 0.10.3'
gem 'pry-rails', '~> 0.3.4'
gem 'rspec-rails', '~> 3.4'
- gem 'rubocop', '~> 0.46.0', require: false
- gem 'simplecov', '~> 0.12.0', require: false
+ gem 'rubocop', '~> 0.47.1', require: false
+ gem 'simplecov', '~> 0.13.0', require: false
end
group :development do

0 comments on commit c90063a

Please sign in to comment.